Direct Debit

Archiving a Contract

Archiving a contract achieves four things:

  • It cancels the direct debit.
  • Writes off any arrears that is outstanding on the contract.
  • Cancels any future scheduled payments (it does not cancel ad-hoc payments).
  • Sets the contract status to “archived”.
POST/client/{clientCode}/contract/{contractId}/archiveCancels the direct debit, writes off any outstanding arrears balance, cancels future payments and sets the contract status to “archived”#
description:

NOTE: It is not possible to “unarchive” a contract once the archive process has been initiated.

authorization:ApiKeyAuth
content-type: application/json
path parameters:
shared schema directDebit/path/client-contract
{
  • clientCode
    string (≤ 6 chars)MandatoryThe client code provided in your welcome email.
  • contractId
    string (guid)MandatoryThe contract GUID that you wish to archive.
}
request body:

{} — This call takes no request body — send an empty JSON object.

Responses

200OK
response body:
{
  • Message
    stringConfirms the operation.
}
403ForbiddenForbidden - contract is protected
404Not FoundContract not found
Example request
Endpoint
POST /client/{clientCode}/contract/{contractId}/archive
Request body
{}
cURL
curl -L -g -X POST 'https://ddcms.accesspaysuite.com/api/v3/client/{clientCode}/contract/{contractId}/archive' -H 'apiKey: {apiKey}'
Response
HTTP/1.1 200 OK

{
  "Message": "Contract archived"
}
HTTP/1.1 403 Forbidden

{
  "Message": "API not enabled"
}
HTTP/1.1 404 Not Found

{
  "Message": "Contract not found"
}